Package com.google.android.exoplayer2.source.smoothstreaming.manifest

## Class SsManifestParser.MissingFieldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.google.android.exoplayer2.ParserException
        - - com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifestParser.MissingFieldException

- All Implemented Interfaces:
    `Serializable`
  Enclosing class:
    SsManifestParser

      public static class SsManifestParser.MissingFieldException
      extends ParserException

  Thrown if a required field is missing.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingFieldException​(String fieldName)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingFieldException

          public MissingFieldException​(String fieldName)